libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__file_imploded(
        mpq_archive_s  *mpq_archive,
        uint32_t        file_number,
        uint32_t       *imploded
);

DESCRIPTION

Call libmpq__file_imploded() to get the implosion status of the given file. It will return true for imploded files and false otherwise.

The libmpq__file_imploded() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument file_number is the number of file and the third argument is a reference to the implosion status imploded of the file.

RETURN VALUE
On success, a zero is returned and on error one of the following constants.

LIBMPQ_ERROR_EXIST
    File does not exist in archive.

SEE ALSO
libmpq__archive_files(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2011
    Maik Broemme <mbroemme@libmpq.org>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.